# how to get data: python generate_data.py n_procs n_rows n_cols output_dir n_stragglers n_partitions partial_coded
python generate_data.py 17 10000 100 "." 4 4 0

python generate_data.py --n-procs=33 --n-rows=400 --n-cols=10 --output-dir="./" --n-stragglers=4 --n-partitions=2 --partial_coded="False" --num-classes=2

# run scripts:
mpiexec -n 17 python3 pedro_algorithm.py -e 100 -nn 17 -nout 4 -s 400 -f 10 -rt 4 -lr 0.01 -np 4 -hn 100

mpiexec -n 17 python3 slow_steady.py -e 100 -nn 17 -nout 4 -s 400 -f 10 -rt 4 -lr 0.01 -np 4 -hn 100

mpiexec -n 17 python coded_logreg.py -e 100 -nn 17 -nc 4 -s 400 -f 10 -lr 0.01 -ns 12 -hn 100

# for mnist:
mpiexec -n 17 python3 pedro_algorithm.py -e 100 -nn 17 -nout 10 -s 40000 -f 784 -rt 4 -lr 0.01 -np 4 -hn 100
